Bug 246874 - Initscript Review
Initscript Review
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey Moyer
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:47 EDT by Harald Hoyer
Modified: 2008-04-04 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 15:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:47:21 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jeffrey Moyer 2007-11-26 16:53:48 EST
OK, I have a few questions:

1) Is there a listing of what packages "Provide"?  For example, in order for
autofs to be useful, it may need to access the ldap server or nis server on the
local system (yes, people configure things this way).  Do I have to look at the
Provides: lines for each package that this one *may* rely upon?

2) What the automounter needs at startup is very much configuration dependent. 
So, some installations may require the ldap server to be running while others
may not.  In fact, it is often not even a requirement to have the ldap server
installed.  In such a case, should we list the ldap server as a requirement? 
What happens when the init system runs into a requirement that does not exist?

3) Does $remote_fs include automounted file systems?  My guess would be yes,
which means that we provide a *part* of $remote_fs.  How does that work?

Cheers.
Comment 2 Bug Zapper 2008-04-04 08:57:03 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Jeffrey Moyer 2008-04-04 15:26:12 EDT
Based on recent discussion on the fedora devel mailing list[1], I'm closing this
WONTFIX.

1. https://www.redhat.com/archives/fedora-devel-list/2008-April/msg00073.html

Note You need to log in before you can comment on or make changes to this bug.